/*
 *	libetm-0.4 / libetm.h - Copyright (C) Emmanuel Thomas-Maurin 2008-2011
 * 	<manutm007@gmail.com>
 *
 * 	This program is free software: you can redistribute it and/or modify
 * 	it under the terms of the GNU General Public License as published by
 * 	the Free Software Foundation, either version 3 of the License, or
 * 	(at your option) any later version.
 *
 * 	This program is distributed in the hope that it will be useful,
 * 	but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * 	GNU General Public License for more details.
 *
 * 	You should have received a copy of the GNU General Public License
 * 	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FALSE
# define FALSE		(0)
#endif
#ifndef TRUE
# define TRUE		(!FALSE)
#endif

#define YES		(1)
#define NO		(0)

#ifndef MAX
# define MAX(x,y)	((x) > (y) ? (x) : (y))
#endif

#ifndef MIN
# define MIN(x,y)	((x) < (y) ? (x) : (y))
#endif

#ifndef ABS
# define ABS(x)		((x) > 0 ? (x) : -(x))
#endif

/* do more testing for these following 2 */
#ifndef SIGN
# define SIGN(x)	((x) != 0 ? ((x) > 0 ? 1 : -1) : 0)
#endif

/* only if f > 0 */
#ifndef APPROX
# define APPROX(f)	(ABS(((f) - (int)(f)) > 0.5) ? (int)(f) + SIGN((f)) : (int)(f))
#endif

#include "str_mem.h"
#include "misc.h"
#include "error.h"
#include "win32_specific.h"
